Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm looking for something similar to iPlotz or Mockup.

I've found the Pencil Project, but it requires xulrunner-1.9 (which seems to be incompatible with xulrunner-1.9.2) in order to run as a standalone application. It can be used as a firefox plugin... but it is a bit slower.

The error on my desktop (Ubuntu 10.04) is: Could not find compatible GRE between version 1.9.1 and 1.9.2.*

Does anyone know other software?

Edit: Open-source software is preferred, and it doesn't matter whether or not it's free.

share|improve this question
    
Could you explain what is wrong with Pencil? –  dv3500ea Nov 5 '10 at 16:48
1  
@dv3500ea, I think he did: I've found Pencil Project, but it require xulrunner-1.9 (seem to be incompatible with xulrunner-1.9.2) to be run as a standalone application; However it can be used as a firefox plugin..but is a bit slower. –  TheX Nov 5 '10 at 17:02
1  
I have xulrunner-1.9.2 installed and Pencil runs fine –  dv3500ea Nov 5 '10 at 17:19
    
@dv3500ea, now im at home with ubuntu 10.10 and it works; this evening on my office desktop with ubuntu 10.04 didnt work, the error message was Could not find compatible GRE between version 1.9.1 and 1.9.2.* –  Strae Nov 5 '10 at 19:11
    
if you cd into where you have unpacked pencil and xulrunner application.ini, that fixes your initial problem –  tobyodavies Mar 9 '12 at 0:47
add comment

6 Answers

up vote 9 down vote accepted

WireframeSketcher is a rapid wireframing tool for Eclipse-based IDEs like Aptana, Zend Studio and the like. It also comes as a standalone version for all major platforms including Ubuntu. Give it a try.

Sample WireframeSketcher mockup

share|improve this answer
    
It's not free nor open source, but fully functional with some limitations. –  Hendy Irawan May 27 '11 at 0:59
    
@Hendy: i dont mynd the "free" part, is the "not opensource" i dont like much.. –  Strae May 27 '11 at 7:14
1  
@DaNiel: just so you know, certain parts of WireframeSketcher are now open-source. –  Peter Severin Jul 21 '11 at 8:46
    
I just intalled it and I am already loving it. –  lpanebr Nov 17 '11 at 18:37
add comment

I did a bit of digging and found this. According to it, after you install the latest version of Firefox and Pencil (Pencil's latest version does not come in deb by default, so get the rpm and install with alien -i <rpmname>), edit the application.ini from the Pencil folder in /usr/lib and change the max version mentioned to the version of Firefox you have (the main release version is sufficient, e.g., 16). Then edit usr/bin/evoluspencil, which is nothing but a script to invoke xulrunner. Change /usr/bin/xulrunner to /usr/bin/firefox. Now opening Pencil from the applications menu will work just fine, and Firefox needs not be open for it to run.

share|improve this answer
    
Welcome to Ask Ubuntu. While this link may answer the question, it is better to include the essential parts of the answer here and provide the link for reference. Link-only answers can become invalid if the linked page changes. –  Peachy Sep 25 '12 at 23:59
    
Thank you for the suggestion, @msPeachy! I have modified the answer. –  Subhamoy Sengupta Sep 26 '12 at 9:43
    
Excellent! This was exactly what I needed! –  Niklas Sep 30 '12 at 20:28
add comment

Try Balsamiq. It uses Adobe Air and runs properly on Ubuntu.

share|improve this answer
    
Balsamiq doesnt seem to be open source. –  Strae Nov 5 '10 at 19:12
    
Correct. Balsamiq isn't open source. –  dv3500ea Nov 5 '10 at 19:20
1  
Shame someone marked this down - the answer came before the question was edited to express a preference for open source. Even then, marking down software for being closed source seems pretty narrow minded (obviously assuming that was why it was marked down...). –  Scaine Jan 4 '11 at 19:56
    
Specially because Balsamiq seems to be a great tool. –  mikiemorales Mar 19 at 17:56
add comment

As of Pencil 1.2 it runs on xulrunner 1.9.2 (I'm on Ubuntu 11.04 64-bit).

First install xulrunner 1.9.2 :

sudo apt-get install xulrunner-1.9.2-gnome-support 

If you're still having problems or you're on 64-bit, run it like this:

xulrunner /opt/pencil/application.ini 
share|improve this answer
    
I have xulrunner 1.9.2 on 11.04 and Pencil 1.2 didn't work for me. –  Jay Aug 31 '11 at 20:23
    
@Jay what the error message looks like ? I've updated my answer, please try it –  Hendy Irawan Nov 17 '11 at 10:28
    
[code]Error: Platform version '2.0' is not compatible with minVersion >= 1.9.1 maxVersion <= 1.9.2.*[/code] –  Jay Nov 23 '11 at 14:21
add comment

After some research, I found Dia, and it's exactly what i was looking for: simple, open and stable.

Maybe I explained my needs badly. More than just software to design layouts, I also needed something that provided the ability to build flowcharts. I tried ArgoUML, too. It looks great, just a bit complicated.

I apologize for the misunderstanding.

share|improve this answer
add comment

Maybe it's not so sophisticated, but you could also try Gazpacho, an UI designer. It's in the repositories.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.